﻿using Microsoft.AspNetCore.Components;

namespace TabsIssue.Components.Pages
{
    public class HomeBase : ComponentBase
    {
        protected Dictionary<string, List<DummyObject>> dummyObjects = new();

        protected override Task OnInitializedAsync()
        {
            dummyObjects["Foo"] = new List<DummyObject>
            {
                new DummyObject { IntProp = 1, StringProp = "Foo 1" },
                new DummyObject { IntProp = 2, StringProp = "Foo 2" }
            };

            dummyObjects["Bar"] = new List<DummyObject>
            {
                new DummyObject { IntProp = 3, StringProp = "Bar 3" },
                new DummyObject { IntProp = 4, StringProp = "Bar 4" }
            };

            dummyObjects["Baz"] = new List<DummyObject>
            {
                new DummyObject { IntProp = 5, StringProp = "Baz 5" },
                new DummyObject { IntProp = 6, StringProp = "Baz 6" }
            };


            return base.OnInitializedAsync();
        }


        protected void OnTabChange(int index)
        {

        }
    }
}
